<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="300dp"
        android:layout_height="124dp"
        android:layout_gravity="center"
        android:background="@drawable/bg_ffffff_10"
        tools:ignore="UselessParent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/loading_image"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginStart="20dp"
                android:layout_marginTop="20dp"
                android:scaleType="centerInside"
                android:src="@mipmap/zhuanquan"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="32dp"
                android:text="AD LOADING"
                android:textColor="#ff111111"
                android:textSize="20sp"
                app:layout_constraintStart_toEndOf="@id/loading_image"
                app:layout_constraintTop_toTopOf="parent"

                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/countdown_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="Ads are about to be shown"
                android:textColor="#ff666666"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/loading_image"
                tools:ignore="HardcodedText" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>

</LinearLayout>
